Subject: Re: bug#74361: [PATCH] New option xref-navigation-display-window-action

From: Dmitry Gutov <[email-masked]>
Date: Thu, 5 Dec 2024 20:08:09 +0200

On 04/12/2024 09:35, Juri Linkov wrote:
>> The replacement for xref--display-buffer-in-window seems easier to do,
>> IIUC this keeps all the current behavior (but it's also Emacs 31+ only):
>>
>> @@ -690,9 +690,9 @@ xref--show-pos-in-buf
>>                      (window-live-p xref--original-window)
>>                      (or (not (window-dedicated-p xref--original-window))
>>                          (eq (window-buffer xref--original-window) buf)))
>> -                 `((xref--display-buffer-in-window)
>> +                 `((display-buffer-use-some-window)
>>                       (category . xref-jump)
>> -                   (window . ,xref--original-window)))
>> +                   (some-window . ,(cl-constantly xref--original-window))))
> I see no problems with this patch.  Even better would be if Martin agrees
> to modify 'display-buffer-use-some-window' to accept a window in
> '(some-window . WINDOW)'.

Thanks.

In any case, like with some other changes, we should probably wait 
one-two Emacs releases before installing. Or organize it as 
backward-compatible dispatch along two paths, which unfortunately 
doesn't make things simpler in the short run.